package gov.va.med.esr.common.model.report;

//Java classes

//Library classes

//Framework classes
import org.apache.commons.lang.Validate;

import gov.va.med.esr.common.model.lookup.ComAACErrorType;
import gov.va.med.esr.common.model.lookup.ComAACRejectReasonType;
import gov.va.med.fw.model.lookup.Lookup;

//EDB Classes

public class ReportLetterErrorType extends BaseReportLookupParameter {

	private static final long serialVersionUID = 6474161541497713329L;
	
	public void setLookup(Lookup lookup) {
		Validate.isTrue(lookup instanceof ComAACErrorType,"Incorrect lookup type.");
		super.setLookup(lookup);
	}
	
	public ComAACErrorType ComAACErrorType() {
		return (ComAACErrorType) getLookup();
	}
	
	public void setComAACErrorType(ComAACErrorType val) {
		setLookup(val);
	}	
	

}

